%define _build_perl 1
%define db_version 4.0.14
Summary: The password database library.
Name: pwdb
Version: 0.61.1
Release: 9BQ17
Copyright: GPL or BSD
Group: System Environment/Base
Source: pwdb-%{PACKAGE_VERSION}.tar.gz
Source1: db-%{db_version}.tar.gz
Patch: pwdb-%{PACKAGE_VERSION}-cobalt.patch
Patch1: pwdb-%{PACKAGE_VERSION}-bluequartz.patch
Patch2: pwdb-%{PACKAGE_VERSION}-x86_64.patch
Patch3: pwdb-%{PACKAGE_VERSION}-selinux.patch
BuildRoot: /var/tmp/pwdb-root
#%if "%centos" == "4"
#BuildRequires: libselinux-devel
#%endif

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%prep
%setup -q -c -a 0 -a 1
%patch -p1
%patch1 -p1
%patch2 -p1

#%if "%centos" == "4"
#%patch3 -p1
#%endif

# fix redhat CVS permissions
chmod -R g-s .

%build
dbdir=`pwd`/db-instroot
CFLAGS="$RPM_OPT_FLAGS" ; export CFLAGS

pushd db-%{db_version}/dist
%ifarch %{ix86}
echo db_cv_mutex=x86/gcc-assembly > config.cache
%endif
%ifarch x86_64
echo db_cv_mutex=x86/gcc-assembly > config.cache
%endif
%ifarch ppc
echo db_cv_mutex=PPC/gcc-assembly > config.cache
%endif
%ifarch alpha
echo db_cv_mutex=ALPHA/gcc-assembly > config.cache
%endif
%ifarch ppc64
echo db_cv_mutex=PPC/gcc-assembly > config.cache
%endif
./configure -C \
	--disable-compat185 \
	--disable-cxx \
	--disable-diagnostic \
	--disable-dump185 \
	--disable-java \
	--disable-rpc \
	--disable-tcl \
	--disable-shared \
	--with-pic \
	--prefix=$dbdir
make
make install
popd

export DBDIR=`pwd`/db-instroot

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%if %{_build_perl}
cd perl; perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr; make
%endif

%install
rm -rf $RPM_BUILD_ROOT
pushd db-%{db_version}/dist
make install prefix=$RPM_BUILD_ROOT/usr/sausalito/db4
popd

mkdir -p $RPM_BUILD_ROOT/{etc,lib,usr/include/pwdb}

make	INCLUDED=$RPM_BUILD_ROOT/usr/include/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/lib \
	LDCONFIG=":" \
	install

install -m644 conf/pwdb.conf $RPM_BUILD_ROOT/etc/pwdb.conf

%if %{_build_perl}
make -C perl PREFIX=$RPM_BUILD_ROOT/usr install
%endif
export perl_ver=`rpm -q --queryformat=%{Version} perl`
find $RPM_BUILD_ROOT/usr/lib*/perl5 -name perllocal.pod | xargs rm -f

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright doc/pwdb.txt doc/html
%config /etc/pwdb.conf
/usr/include/pwdb
/lib/libpwdb.a
/lib/libpwdb.so
/lib/libpwdb.so.%{PACKAGE_VERSION}
%if %{_build_perl}
/usr/lib*/perl*/site_perl/*/*/auto/PWDB
/usr/lib*/perl*/site_perl/*/*/PWDB.pm
/usr/share/man*/*
/usr/sausalito/db4/*
%endif

%changelog
* Sun Dec 18 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ17
- modified spec file to support CentOS4 for Alpha by epe, EcureLinux, Inc.

* Fri Oct 07 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ16
- clean up patch file.
- don't use selinux patch.

* Mon Jun 27 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ15
- modified BuilreRequires tag to require for CentOS4 only.
- seliux patch is for CentOS4 only.

* Thu Jun 23 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ14
- add BuilreRequires tag

* Sat Jun 11 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ13
- add selinux patch.

* Thu Jun 02 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ12
- modified unix/user.c and unixdb/user.c for x86_64.

* Thu May 26 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ11
- build for CentOS4 on x86_64.

* Sat Mar 26 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ10
- build for SLES9 on Power.

* Tue Mar 22 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ9
- add db_cv_mutex into config.cache on db4 for ppc.

* Fri Jan 28 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ8
- modified to build for CentOS3.

* Fri Dec 24 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ7
- use db4-4.0.14 again to support for disabled tls.

* Tue Dec 07 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ6
- add script to upgrade old database.

* Fri Nov 19 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ5
- use libdb-4.1.so instead of static link

* Sat Mar 20 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ4
- build on FC1

* Wed Jan 21 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ3
- fix LIBS in perl module

* Fri Jan 09 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.61.1-9BQ2
- build for RHL9

* Wed Dec 10 2003 Hisao SHIBUYA <shibuya@alpha.or.jp>
- (0.61.1-9BQ1)
- build for Blue Quartz.

* Wed Apr 17 2002 Patrick Baltz <patrick.baltz@sun.com> 0.61.1_1C9
- pr 14541.  Fail more gracefully when dealing with groups with too many
  members for the library to handle.  Don't lose information from the
  group databases if the groups get to large.
- up the limit on group members to 2048 for a little more head room
- audit the code for memory leaks, still a few minor ones left

* Mon Jan  7 2002 Patrick Baltz <patrick.baltz@sun.com> 0.61.1_1C8
- statically compile with libdb to fix pr 12546.  clean up perl warnings
  about mismatched prototypes for defines

* Wed Oct 24 2001 Patrick Baltz <patrick.baltz@sun.com> 0.61.1_1C7
- in __pwdb_getgrnam, call __pwdb_endgrent when done going through
  /etc/group or things seem to get messed up when the system
  *grent functions get used simultanously with pwdb

* Fri Aug 24 2001 Patrick Baltz <patrick.baltz@sun.com> 0.61.1_1C6
- don't call sync, because in the middle of a CCE transcaction there
  are a lot of dirty buffers to push to the disk.  Instead call
  fdatasync to make sure the updated files get written to disk
  before the rename

* Fri Aug 10 2001 Patrick Baltz <patrick.baltz@sun.com> 0.61.1_1C4
- perl api don't turn uid/gid of 0 into PWDB_ID_UNKNOWN

* Thu Aug 9 2001 Patrick Baltz <patrick.baltz@sun.com> 0.61.1_1C3
- some bug fixes, and tidying up to avoid deadlock
- put db after flat file lookup in pwdb.conf, so root can still log
  in if the db gets horked

* Tue Aug 7 2001 Patrick Baltz <patrick.baltz@sun.com> 0.61.1_1C2
- libpwdb with Berkeley DB support
- added perl module in perl sub-dir
- added some tests in test run 'make tests' to try out

* Thu Mar 22 2001 Patrick Baltz <patrick.baltz@sun.com>
- update to latest from redhat plus cobalt specific stuff

* Thu May 04 2000 Duncan Laurie <duncan@cobalt.com>
- remove NIS from pwdb.conf

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix setting the password for passwordless accounts. Patch from Thomas
  Sailer

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
